Bug 592860 - ValueError: Trying to pick boot devices but do not have a sane root partition. Aborting install.
ValueError: Trying to pick boot devices but do not have a sane root partition...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
14
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
anaconda_trace_hash:addf042d8c436925c...
:
: 596585 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 04:34 EDT by Ales Kozumplik
Modified: 2014-09-30 19:39 EDT (History)
8 users (show)

See Also:
Fixed In Version: anaconda-14.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:27:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (277.67 KB, text/plain)
2010-05-18 07:55 EDT, Ales Kozumplik
no flags Details
Attached traceback automatically from anaconda. (186.69 KB, text/plain)
2010-05-19 02:52 EDT, Jens Petersen
no flags Details
Attached traceback automatically from anaconda. (224.02 KB, text/plain)
2010-05-28 20:18 EDT, Brian Lane
no flags Details
Attached traceback automatically from anaconda. (425.85 KB, text/plain)
2010-06-01 12:55 EDT, Jordan Clarke
no flags Details

  None (edit)
Description Ales Kozumplik 2010-05-17 04:34:46 EDT
The following was filed automatically by anaconda:
anaconda 14.5 exception report
Traceback (most recent call first):
  File "/tmp/updates/pyanaconda/booty/bootloaderInfo.py", line 304, in availableBootDevices
    raise ValueError, ("Trying to pick boot devices but do not have a "
  File "/tmp/updates/bootloader.py", line 239, in hasWindows
    for (dev, type) in bl.images.availableBootDevices(bl.storage):
  File "/tmp/updates/iw/timezone_gui.py", line 108, in getScreen
    self.utcCheckbox.set_active(not hasWindows(anaconda.bootloader))
  File "/tmp/updates/pyanaconda/gui.py", line 1422, in setScreen
    new_screen = self.currentWindow.getScreen(anaconda)
  File "/tmp/updates/pyanaconda/gui.py", line 1343, in nextClicked
    self.setScreen ()
ValueError: Trying to pick boot devices but do not have a sane root partition.  Aborting install.
Comment 1 Ales Kozumplik 2010-05-18 07:55:42 EDT
Created attachment 414820 [details]
Attached traceback automatically from anaconda.
Comment 2 Ales Kozumplik 2010-05-18 07:57:18 EDT
I see this on rawhide, in vmware, during the 'finding storage devices step'. It's not the vmware though, rhel6 passes there no problem.
Comment 3 Jens Petersen 2010-05-19 02:52:11 EDT
Created attachment 415034 [details]
Attached traceback automatically from anaconda.
Comment 4 Brian Lane 2010-05-28 20:18:21 EDT
Created attachment 417776 [details]
Attached traceback automatically from anaconda.
Comment 5 Brian Lane 2010-05-28 20:26:27 EDT
Same here, but with KVM virt.

I built a boot.iso for rawhide using mock. On boot isolinux flashes something that disappears too fast to read and goes directly to a boot: prompt. I updated it with a new updates.img from today, passing it:

vmlinuz initrd=initrd.img stage2=hd:LABEL="Fedora" updates=http://proxy.home/updates/14.7.img

And it has the same boot devices error (my traceback is from this attempt).
Comment 6 Jordan Clarke 2010-06-01 12:55:02 EDT
Created attachment 418731 [details]
Attached traceback automatically from anaconda.
Comment 7 Jordan Clarke 2010-06-01 13:03:36 EDT
(In reply to comment #6)
> Created an attachment (id=418731) [details]
> Attached traceback automatically from anaconda.    

My attempted (hard drive) install was for the x86-64 version of Fedora 14 (Rawhide), downloaded as a nightly build yesterday.
Comment 8 Brian Lane 2010-06-02 17:17:42 EDT
*** Bug 596585 has been marked as a duplicate of this bug. ***
Comment 9 Ales Kozumplik 2010-06-10 06:07:59 EDT
I think this is broken because of 0317f7cb17aed20bbbf7918488e9d7b2858aa0b2, without a kickstart this tries to take a look at the root device before the storage gets initialized. With kickstart this somehow doesn't appear (even though storage init still happens after the incriminated code is called..).

Will investigate more later.

Workaround for now: give it a kickstart.
Comment 10 Ales Kozumplik 2010-06-11 06:41:34 EDT
Fixed by commit a1b11e33179f6f88752773ee7567342f5579df38 in anaconda-14.8.

It was more related to 90fd1d4263bc823e90f025344789f9dc93492852. 0317f7cb17aed20bbbf7918488e9d7b2858aa0b2 is not the problem here.
Comment 11 Bug Zapper 2010-07-30 07:39:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora End Of Life 2012-08-16 18:27:12 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.